  T  0 ***** Error in ........ paragraph *****
  T  1 A BMDP instruction error was encountered.
  T  2 The function is no longer available.
  T  3 The end of the paragraph was not found before the end of the 
  T  3 BMDP instructions was reached.
  T  4 A variable is referenced by subscript.  However, the subscript
  T  4 is not an integer constant, or it is incorrectly specified.
  T  5 The right parenthesis after a variable subscript is missing.
  T  6 An illegal character has been found in a TRANSFORMATION 
  T  7 statement. In compiling the transformations, more than 
  T  7 3000 constants were found.
  T  8 Two arithmetic or logical operators (e.g.,EQ,GT,**,+) are not
  T  8 separated by a constant, a variable, or a function reference.
  T  9 The arithmetic or logical operator is missing between two 
  T  9 variables,constants, or a function reference.
  T 10 A function directly follows a variable or a constant with no 
  T 10 arithmetic or logical operator between them.
  T 11 An undefined variable was found within an expression, either 
  T 11 on the right side of an equal sign, or in an 'IF' statement.
  T 12 The values of 'XMIS','KASE', or a constant cannot be altered.  
  T 12 They cannot be used on the left side of an equal sign.
  T 13 The arithmetic statement shown below is incomplete.  A variable,
  T 13 a constant, or a function reference is missing.
  T 14 In compiling the transformations, more than 10000 variables 
  T 14 (permanent plus temporary) were found.
  T 15 In compiling the transformations, more than 3000 temporary 
  T 15 variables were found.
  T 16 The subscripts are either less than one, or greater than the 
  T 16 number of variables specified.
  T 17 The parentheses are unbalanced.
  T 18 Storage required exceeds available storage.
  T 19 Some unknown error has been encountered.
  T 20 'OMIT' OR 'DELETE' requests must be stated as separate sentences.
  T 20 An improper expression was used in the 'THEN' clause of an 'IF'
  T 20 statement.
  T 21 The word 'IF' preceding the word 'THEN' was interpreted as a 
  T 21 logical operator rather than an 'IF' statement.  The word 
  T 21 'THEN', therefore, should not appear.  
  T 21 The word 'IF' is likely misplaced.
  T 22 The word 'THEN' can only appear in the form - 'IF(A) THEN B.' .
  T 23 The proper form for an 'IF' statement is: 'IF(A) THEN B.' .
  T 23 The parentheses around 'A' have been omitted.
  T 24 The word 'IF' may be used in two forms:
  T 24    -  At the beginning of a statement, where its form must be
  T 24       'IF(A) THEN B.', where 'A' is an expression and 'B' may 
  T 24       be a set of expressions.  The parentheses around 'A' may 
  T 24       have been omitted.
  T 24    -  The other use of 'IF' is in the form: 'A=B IF C.',
  T 24       where 'C' must be a single variable reference.  A compound
  T 24       expression (e.g., D+E,D**2) for 'C' may have been 
  T 24       specified.
  T 25 The word 'THEN' is required after the conditional part of an 
  T 25 'IF' statement.
  T 26 The word 'THEN' must be followed by a blank or a left 
  T 26 parenthesis.
  T 27 Periods are not allowed in 'IF' statements; e.g., 'IF(A.GT.B)' 
  T 27 should be replaced by:  'IF(A GT B)' .
  T 28 The parentheses enclosing the argument to a function are not 
  T 28 balanced.
  T 29 An arithmetic or logical operator is missing between two 
  T 29 function references.
  T 31 An operator between a function reference and a left parenthesis
  T 31 has been omitted.
  T 32 The right-most parenthesis of the conditional part of an 'IF' 
  T 32 statement has been omitted.
  T 33 An undefined name was found just before a left parenthesis; a 
  T 33 function name was likely misspelled.
  T 34 The 'SEED' value for the random number generator should be a 
  T 34 large, positive, odd, integer constant.
  T 35 A variable or a constant was found immediately after a function
  T 35 reference.  An operator was likely omitted.
  T 36 A variable or a constant was found immediately after a right
  T 36 parenthesis.  An operator was likely omitted.
  T 37 The logical connectives, 'AND' and 'OR', may only be used for 
  T 37 connecting logical results.
  T 38 A right parenthesis was followed by a left parenthesis.
  T 38 An arithmetic or logical operator is missing.
  T 39 An improper arithmetic or logical assignment statement was 
  T 39 found. The proper form for an assignment statement is:  
  T 39 'A=expression.' . Either an equal sign was omitted, or an improper 
  T 39 expression was used on the left side of an equal sign, or more 
  T 39 occurred in an assignment statement (e.g., 'A=B=C.' is
  T 39 invalid.)
  T 40 A left parenthesis was found immediately following a variable, a
  T 40 constant, or a function reference.  An arithmetic or logical 
  T 40 operator was likely omitted.
  T 41 The arithmetic statement shown below is incomplete.  A variable,
  T 41 a constant, or a function reference is missing.
  T 42 A second equal sign was found in an assignment statement.  A 
  T 42 period is likely missing.
  T 43 An arithmetic or logical operator immediately follows a 

  T 43 function name. Functions (e.g., SIN,SQRT,LAG) must be followed 
  T 43 by the argument enclosed in parentheses.  A variable name that is 
  T 43 identical to a function name may have been used.  In this case, 
  T 43 the variable name must be enclosed in apostrophes.
  T 44 The following functions must not appear to the right of an 
  T 44 equal sign: REPL, FILL, TEXT, SHOW, ZSCR, SORT and RANK.
  T 45 In an expression of the form A TO B, either A or B is not a 
  T 45 variable name, or B precedes A in the list of variables after 
  T 46 transformation. A right parenthesis was found immediately after 
  T 46 an operator.  A variable reference was likely omitted.
  T 47 Arguments of the following functions must be variables or 
  T 47 constants: REPL, ZSCR, SORT and RANK.
  T 48 Either more than one call arguments were stated for a function 
  T 48 that expected only one call argument, or a comma was improperly 
  T 48 placed.
  T 49 The 'DAYS' function is used with other than 1 or 3 call 
  T 49 arguments.
  T 50 The 'LINT' function requires 5 arguments: 'X0, X1, Y1, X2, Y2'.
  T 51 The 'REC' function is stated with an even number of call 
  T 51 arguments.
  T 52 Functions 'B', 'A', 'R', or 'FILL'  are stated with an odd 
  T 52 number ofcall arguments.
  T 53 The TEXT function must have one argument, which must be a 
  T 53 string of characters.
  T 54 Even-numbered arguments of the FILL function must be variables 
  T 54 or constants.
DMH  0 You state instructions for this program in paragraphs.  A 
DMH  0 paragraph starts with a paragraph name, contains commands, and 
DMH  0 ends with a "/".
DMH  0 For example: "HELP READ./"
DMH  0         is a "HELP" paragraph, with a "READ." command.
DMH  0         It asks for help in using the "READ" paragraph.
DMH  0
DMH  3 READ paragraph: Reads a data file stored in the system.
DMH  3   SFILE = 'name'.Input data file name as known to the system.
DMH  3   FILE  = name.  Name of Data Manager internal work file.
DMH  3   REWIND.        Data input file should be rewound before 
DMH  3                    reading data.
DMH  3   FORMAT= 'c'.   Format of input records. Use FORMAT = SAS for
DMH  3                    file created by PROC Copy in SAS. Use 
DMH  3                    FORMAT = SPSS for a file created by SPSS. *
DMH  3   VNAME = list.  Names  of variables. *
DMH  3   CASES = #.     Number of cases to be read.
DMH  3   VARIABLE = #.  Number of variables. *
DMH  3   RLABEL= v1,v2. Record labeling variable numbers. *
DMH  3   BLANK = ZERO.  When Fortran type format is used, should blank 
DMH  3                    fields
DMH  3         or MISS.   be considered zeros or missing values.
DMH  3   MCHAR = 'c'.   The character "c" in the data marks missing 
DMH  3                    values.
DMH  3   ERR   = #.     Maximum number of records with input errors.
DMH  3   RECL  = #.     Set # columns read for FREE, SLASH, or STREAM
DMH  3                    formats.
DMH  3   CODE  = name.  BMDP file code (one record type in file).
DMH  3   CONT  = param. BMDP file content, whether DATA, FILE, CORR, 
DMH  3                    etc.
DMH  3   LABEL = 'text'.BMDP file label.
DMH  3   KEEP  = list.  Variables to retain (one record type in file).
DMH  3   DELETE= list.  Variables to delete (one record type in file).
DMH  3   NEWN  = list.  New names of variables read from BMDP file.
DMH  3   PORTABLE.      Read character image BMDP file.
DMH  3   DIRECTORY.     Print BMDP file CODE, CONTENT, LABEL, varnames, 
DMH  3                    # cases.
DMH  3   RECT  = list.  Alphanumeric record type identifiers.
DMH  3   RECN  = #list. Numeric record type identifiers.
DMH  3   RECID = #1,#2. The record type identifier is in character 
DMH  3                    positions
DMH  3                    #1 TO #2 of input records.
DMH  3   LEVEL = list.  Hierarchical levels of record types.
DMH  3    * Use FORMAT(t)=, VNAME(t)=, etc. for reading multiple 
DMH  3                    record types.
DMH  3
DMH 15 SORT paragraph: Sorts cases in a data file.
DMH 15   FILE   = name. Name of the work file to sort.
DMH 15   KEY    = list. Variables to use as sort keys.
DMH 15   ORDER  = list. A list of A, D, or C, indicating that the 
DMH 15                    corresponding KEY is in Ascending,
DMH 15                     Descending, or alphabetic
DMH 15                    (Character) order.
DMH 15   KEEP   = list. Variables to retain in the sorted file.
DMH 15   DELETE = list. Variables to delete from the sorted file.
DMH 15   NEWNAME= list. Names of variables in the sorted file.
DMH 15   NEWFILE= name. Name of the output work file.  If not stated, 
DMH 15                    then the name of the input file is used.
DMH 15
DMH 17 EXTRACT paragraph: Extracts selected record types and/or 
DMH 17                    variables from a file.
DMH 17   FILE   = name. Name of the input work file from which 
DMH 17                    record types and/or variables are to
DMH 17                    be extracted.
DMH 17   RECT   = list. Character list of record types to extract.
DMH 17   KEEP(t)= list. Variables to extract from record type t.
DMH 17   DEL(t) = list. Variables to delete from record type t.
DMH 17   NEWN(t)= list. New names of the kept variables of record 
DMH 17                    type t.
DMH 17   NEWFILE= name. Name of the output work file.
DMH 17
DMH 18 CHECK paragraph: Flags missing values and values outside of 
DMH 18       acceptable range.  It is also used to fill in missing 
DMH 18       values via the 'hot-deck' procedure.
DMH 18   FILE  = name.  Name of the work file to check.
DMH 18   MISS  = #list. Missing values, one for each variable (of each 
DMH 18                    rect).*
DMH 18   MIN   = #list. Minimum values, one for each variable (of each 
DMH 18                    rect).*
DMH 18   MAX   = #list. Maximum values, one for each variable (of each 
DMH 18                    rect).*
DMH 18   HOTD  = list.  Variables on which hot-deck procedure is 
DMH 18                    performed.*
DMH 18    * Use MISS(t)=, MIN(t)=, etc. for files with multiple record 
DMH 18                    types.
DMH 18
DMH 19 GROUP paragraph: Used to state grouping information for 
DMH 19       variables. Use a separate GROUP paragraph for each 
DMH 19       record type.
DMH 19   FILE   = name. Name of the work file.
DMH 19   RECT   = list. Codes to identify record type.
DMH 19   CODE(v)= #list.Codes for variable v.
DMH 19   CUTP(v)= #list.Cutpoints for variable v.
DMH 19   NAME(v)= list. Category names for variable v.
DMH 19   ALPHA(V)=list. Replaces CODES and NAMES for alphanumeric 
DMH 19                    grouping variable.
DMH 19   RESET.         Used to clear the previously-defined grouping
DMH 19                    information before processing GROUP
DMH 19                    commands, if any.
DMH 19   FROMF  = name. Name of the file containing the grouping 
DMH 19                    information to be copied.
DMH 19   FROMR  = value.Record type containing variables for which
DMH 19                    grouping information is being copied.
DMH 19   FROMV  = list. Names of the variables of the FROMF file 
DMH 19                    containing the grouping information to be 
DMH 19                    copied.
DMH 19   VARIAB = list. Names of the variables receiving the grouping 
DMH 19                    information copied from FROMV variables of 
DMH 19                    the FROMF file.
DMH 19
DMH 10 TRANSFORM paragraph: Works on one case at a time.  The stated
DMH 10       transformations are performed once for each case in the 
DMH 10       file.
DMH 10   FILE   = name. Name of the work file to be transformed.
DMH 10   RECT   = chars.Record type to be transformed.
DMH 10   KEEP   = list. Variables to retain.
DMH 10   DELETE = list. Variables to delete.
DMH 10   TEST = #.      Specify # of cases to use in testing the 
DMH 19                    transformation instructions.
DMH 10   NEWNAME= list. New names of the kept variables.
DMH 10   NEWFILE= name. Name of the output work file.  If not stated, 
DMH 10                    the name of the input file is used.
DMH 10   RETAIN.        Retain values of new variables from case to 
DMH 10                    case.
DMH 10   Statements to effect transformations are of the form:
DMH 10      v = expression.
DMH 10      IF (logical condition) THEN (action statements.)
DMH 10                             ELSE (stmnts.) UNDEFINED (stmnts.).
DMH 10        FOR v = list DO (statements.).
DMH 10        WHILE (logical) DO (statements.).
DMH 10        SHOW (list of values, variables, or expressions).
DMH 10        TEXT (text to be displayed).
DMH 10
DMH 23 MERGE paragraph: Joins end-to-end, or interleaves cases of two
DMH 23       or more files.
DMH 23   FILES  = list. Names of the work files to merge.
DMH 23   KEY(f) = list. Variables of file f which are to guide the
DMH 23                    interleaving of cases.
DMH 23   ORDER  = list. A list of A, D, or C, indicating that the 
DMH 23                    corresponding KEY is in Ascending, 
DMH 23                    Descending, or alphabetic (Character) order.
DMH 23   KEEP(f)= list. Variables of file f to retain.
DMH 23   KEY(f) = list. Key variables in file f.
DMH 23   KEEP   = list. Variables to retain.
DMH 23   KEY    = list. Key variables.
DMH 23   NEWNAME= list. Names of variables in the merged file.
DMH 23   NEWFILE= name  Name of the output work file.  If not stated, 
DMH 23                    the name of the first input file is used.
DMH 23   STOP  = list.  ( Action to take if same case (KEY values) 
DMH 23                  ( are found in more than one of the input 
DMH 23   FIRST = list.  ( files: FIRST, LAST, ALL, and NONE 
DMH 23   LAST  = list.  ( retains the first, last, ... of 
DMH 23   ALL   = list.  ( duplicates. List: character strings; 
DMH 23                  ( each of length = no. of files
DMH 23   NONE  = list.  ( Eg.: FIRST='.B.D','..CB'. keeps the case 
DMH 23   UPDATE= list.  ( from the 2nd file if a case is in the 2nd 
DMH 23   PRINT = list.  ( and 4th, retains the one from the 3rd if a 
DMH 23                  ( case is in the 3rd and 4th.
DMH 23
DMH 24 JOIN paragraph: Joins cases of two or more files 
DMH 24                    (side-by-side).
DMH 24   FILES = list.  Names of the work files to join.
DMH 24   KEY   = list.  Variables whose values are used to join 
DMH 24                    records.
DMH 24   KEY(f)= list.  Variables of file f which are to guide the 
DMH 24                    matching of cases.
DMH 24   ORDER = list.  A list of A, D, or C, indicating that the 
DMH 24                    corresponding KEY is in Ascending,
DMH 24                    Descending, or alphabetic
DMH 24                    (Character) order.
DMH 24   KEEP  = list.  Variables to be retained in the output record.
DMH 24   KEEP(f)= list. Variables of file f to retain.
DMH 24   NEWNAME= list. Names of the variables if the joined file.
DMH 24   NEWFILE= name. Name of the output work file.  If not stated, 
DMH 24                    the name of the first input file is used.
DMH 24   PAD   = list.  ( Action to take if a case is not in one of 
DMH 24   DROP  = list.  ( the files.(matching KEY value not found). 
DMH 24                  ( The HOTREC and HOTKEY use the previous
DMH 24   HOTREC= list.  ( case and previous case with matching
DMH 24   HOTKEY= list.  ( KEY, respectively, in place of a missing 
DMH 24   STOP  = list.  ( case. List: character strings; each of 
DMH 24                  ( length = no. of files
DMH 24   PRINT = list.  ( Eg.: STOP='.BC'. Stop if a case missing from 
DMH 24                  ( 1st file
DMH 24
DMH 11 AGGREGATE paragraph: Works on subsets of cases to produce 
DMH 11       aggregate results.
DMH 11   FILE   = name. Name of the work file to aggregate.
DMH 11   WITHIN = list. Sets of records with the same WITHIN values 
DMH 11                    are aggregated (input file should be sorted).
DMH 11   RECN   = #.    Sets of records with id code, #, are 
DMH 11                    aggregated.
DMH 11     or
DMH 11   RECT   = c.    Sets of records of type c are aggregated.
DMH 11   MAXCOPY= #.    Maximum number of cases per aggregate set 
DMH 11                    (20 assumed).
DMH 11   KEEP   = list. Variables to retain.
DMH 11   DELETE = list. Variables to delete.
DMH 11   NEWNAME= list. New names of the kept variables.
DMH 11   NEWFILE= name. Name of the output work file.
DMH 11   TEST   = #.    Number of aggregate sets for which aggregate
DMH 11                    functions are computed.
DMH 11   RETAIN.        Retain values of new variables from set to 
DMH 11                    set.
DMH 11   APPEND.        Append results to each member of the aggregate 
DMH 11                    set.
DMH 11   Statements to effect aggregate computations are of the form:
DMH 11      v = expression.
DMH 11      IF (logical condition) THEN (action statements.)
DMH 11                             ELSE (stmnts.) UNDEFINED (stmnts.).
DMH 11        FOR v = list DO (statements.).
DMH 11        WHILE (logical) DO (statements.).
DMH 11        SHOW (list of values, variables, or expressions).
DMH 11        TEXT (text to be displayed).
DMH 11
DMH 12 PACK paragraph: Packs selected variables from a set of records 
DMH 12      into one.
DMH 12   FILE   = name. Name of the work file to pack.
DMH 12   VAR    = list. Gives names or numbers of variables to be 
DMH 12                    packed.
DMH 12   WITHIN = list. Sets of records with the same WITHIN values 
DMH 12                    are packed
DMH 12                    (input file should be sorted).
DMH 12   RECN   = #.    Sets of records with id code, #, are packed.
DMH 12     or
DMH 12   RECT   = c.    Sets of records of type c are packed.
DMH 12   VARIAB = list. Variables to pack.
DMH 12   KEYS   = list. Variables which govern packing.
DMH 12   LEVEL  = list. Number of levels of KEY variables.
DMH 12   CODE(v)= #list.Code values of KEY variables.
DMH 12   CUTP(v)= #list.Cutpoints of KEY variables.
DMH 12   PICK   = list. Use EXACT, CLOSEST, BELOW, or ABOVE with CODES,
DMH 12                    or FIRST, LAST, SMALL, or LARGE with 
DMH 12                    CUTPOINTS.
DMH 12     EXACT.       Select a record only if its exact code value
DMH 12                    is in CODE list.
DMH 12     CLOSEST.     Select records with codes closest to values in
DMH 12                    CODE list.
DMH 12     BELOW.       Select record with code closest below value
DMH 12                    in CODE list.
DMH 12     ABOVE.       Select record with code closest above value
DMH 12                    in CODE list.
DMH 12     FIRST.       Select first record within the specified 
DMH 12                    interval.
DMH 12     LAST.        Select last record within the specified 
DMH 12                    interval.
DMH 12     SMALL.       Select record with smallest value of key
DMH 12                    variable.
DMH 12     LARG.        Select record with largest value of key
DMH 12                    variable.
DMH 12   MAXPAD = #.    Maximum number of records that may be missing
DMH 12                    from set of records to be packed.
DMH 12   KEEP   = list. Variables to retain in addition to those 
DMH 12                    packed.
DMH 12   NEWNAME= list. New names of the variables in the packed file.
DMH 12   NEWFILE= name. Name of the output work file.  If not stated,
DMH 12                    the name of the input file is used.
DMH 12
DMH 13 UNPACK paragraph: Unpacks variables from one record into several 
DMH 13                    records.
DMH 13   FILE   = name. Name of the work file to unpack.
DMH 13   VARIAB = list. Variables to unpack.
DMH 13   SEQU   = list. Names of generated case sequencing variables.
DMH 13   LEVEL  = #list.Number of levels of case sequencing variables.
DMH 13     or
DMH 13   CODE(v)= #list.Values of the case sequencing variable v.
DMH 13   KEEP   = list. Variables to copy onto each of the unpacked 
DMH 13                    records, in addition to the unpacked and 
DMH 13                    sequencing variables.
DMH 13   NEWNAME= list. Names of the variables in the unpacked file.
DMH 13   NEWFILE= name. Name of the output work file.  If not stated, 
DMH 13                    the name of the input file is used.
DMH 13
DMH  2 PRINT paragraph: Prints data, file names and content, and news.
DMH  2       Also used to control line size, page size, and output 
DMH  2       verbosity.
DMH  2   NAMES.         Display work file names, number of cases, 
DMH  2                    record types, and variable names known to 
DMH  2                    the program.
DMH  2   SUMMARY.       Prints same as NAMES, plus grouping 
DMH  2                    information.
DMH  2   NEWS.          Print current program changes and known 
DMH  2                    errors.
DMH  2   PAGE  = #.     Number of lines per page.
DMH  2   LINEs = #.     Number of characters per line, at least 79 and 
DMH  2                  at most 132.
DMH  2   RECNO = #.     Sets of records with id code, #, are printed.
DMH  2     or
DMH  2   RECT  = c.     Sets of records of type c are printed.
DMH  2   LEVEL = amount.Verbosity: MINIMAL, BRIEF, NORMAL, or VERBOSE.
DMH  2   POINTERS.      Display file names, record types, variable 
DMH  2                    names, and file pointers for use in 
DMH  2                    error detection.
DMH  2           The next 9 parameters are used for printing data:
DMH  2   FILE  = name.  Name of the work file to print.
DMH  2   VAR   = list.  Names or indices of variables to print.
DMH  2                    May use VAR=ALL.
DMH  2   FIELD = #list. Field widths to use for printing variables.
DMH  2   WITHIN = list. Names or numbers of variables used to group
DMH  2                    cases into tables. Prints separate data table 
DMH  2                    for each set of cases.
DMH  2   FORMAT= 'c'.   Format to use for printing variables.
DMH  2   VALUES.        Prints grouping values rather than names.
DMH  2   NUMBER= #.     Number of cases to print per page.
DMH  2   CASES = #.     Number of cases to print.
DMH  2   HEAD  = 'text'.Title line(s) to print at top of each page.
DMH  2
DMH  8 MAP paragraph: prints a map, indicating the structure of 
DMH  8       records in a file.
DMH  8   FILE  = name.  Name of the work file to map.  If the file 
DMH  8                    contains more than one record type and no 
DMH  8                    other information is stated, then the 
DMH  8                    display shows the record types
DMH  8                    and counts the order in which they appear
DMH  8                    in the file.
DMH  8   WITHIN= list.  Sets of cases with the same value WITHIN 
DMH  8                    variable are plotted on one line
DMH  8                    (input file should be sorted).
DMH  8   VARIAB= var.   Name or # of var to encode into 1,2,...,9,
DMH  8                    A,B,...,Z .
DMH  8   TIME  = var.   Name or # of var to plot on the horizontal 
DMH  8                   (time) axis.
DMH  8   DELTA = #.     Character increment on the horizontal axis.
DMH  8   RANGE =#1,#2.  Range of the horizontal axis.
DMH  8   CUTP  = #list. Cutpoints to define intervals for encoding.
DMH  8   CODE  = #list. Codes to define encoding.
DMH  8   SYMB  = list.  Symbols to use in place of 1,2,...,9,A,B,...,Z.
DMH  8   TEST  = #.     Specify the number of cases to display in the 
DMH  8                  map.
DMH  8                  The next 2 commands are for nonrectangular 
DMH  8                   files.
DMH  8   RECNO = #.     Sets of records with id code, #, are mapped.
DMH  8     or
DMH  8   RECT  = c.     Sets of records of type c are mapped.
DMH  8
DMH  9 STATISTICS paragraph: Reports statistics for the variables of a 
DMH  9                   file.
DMH  9       Statistics may be computed for subsets of cases.
DMH  9   FILE  = name.  Work file name.
DMH  9   WITHIN= list.  Sets of cases with the same WITHIN values form a 
DMH  9                    cell (input file should be sorted).
DMH  9   VARIAB= list.  Variables for which you want statistics reported.
DMH  9   CELLWISE.      Statistics for all requested variables within a 
DMH  9                    subset of cases are reported together.  
DMH  9                    NO CELLW. requests that statistics
DMH  9                    for each subset of cases be reported
DMH  9                    together; one panel per variable.
DMH  9   RECT  = chars. Record type for which you want statistics 
DMH  9                    reported. This parameter is used only for 
DMH  9                    files with more than 1 record type.
DMH  9                    Statistics are reported for 
DMH  9                    each set of consecutive records of this type.
DMH  9
DMH 21 PLOT paragraph
DMH 21 Some commands are available only on systems that support high-
DMH 21 resolution plotting.  See your BMDP/PC User's Guide
DMH 21 for more information.
DMH 21 FILE = name.        Specify the name of the input work file of 
DMH 21                       data.
DMH 21 XVARiables = list.  List the variables to be plotted 
DMH 21                       horizontally
DMH 21                     (along the x-axes).
DMH 21 YVARiables = list.  List the variables to be plotted vertically.
DMH 21 XCommon.            Plot all XVARIABLES in the same plot frame.
DMH 21 YCommon.            Plot all YVARIABLES in the same plot frame.
DMH 21 XMINimums = # list. Specify one number per variable in the XVAR 
DMH 21                     listto set lower limits on the plot scale.  
DMH 21                     Do not use with GRAPH=HIRES.
DMH 21 XMAXimums = # list. Specify one number per variable in the XVAR 
DMH 21                     list to set upper limits on the plot scale.  
DMH 21                     Do not usewith GRAPH=HIRES.
DMH 21 YMINimums = # list. Specify one number per variable in the YVAR 
DMH 21                     list to set lower limits on the plot scale.  
DMH 21                     Do not use with GRAPH=HIRES.
DMH 21 YMAXimums = # list. Specify one number per variable in the YVAR 
DMH 21                     to set upper limits on the plot scale.  
DMH 21                     Do not use with GRAPH=HIRES.
DMH 21 XSCAle = (1 only)   Specify the x-axis scale. Default: LINEAR.
DMH 21  LINEAR, SQUARE, SQRT,
DMH 21  LN, EXP, LOG.
DMH 21 YSCAle = (1 only)   Specify the y-axis scale. Default: LINEAR.
DMH 21  LINEAR, SQUARE, SQRT,
DMH 21  LN, EXP, LOG.
DMH 21 CROSS.              Plot each variable in the XVAR list against 
DMH 21                     each in the YVAR list.
DMH 21 PAIR.               Plot the first variable in the XVAR list 
DMH 21                     against the first in the YVAR list,
DMH 21                     2nd vs. 2nd, etc.
DMH 21 MATRIX.             Print the plots in matrix form, several 
DMH 21                     on a page. Use NO MATRIX. to print
DMH 21                     large plots, one or two per page.
DMH 21 GVARiable = var.    Specify the variable used to classify the 
DMH 21                     cases into groups.  By default,
DMH 21                     the cases are not grouped.
DMH 21 GROUPs = list.      List groups to plot.  Default: all groups.
DMH 21 GCommon.            Unless you state NO GCOM, DM plots all 
DMH 21                     GROUPS in the same plot frame. 
DMH 21                     (Only one of XCOM, YCOM, or
DMH 21                     GCOM can be used at a time.)
DMH 21 QQplot.             Creates quantile-quantile plots instead of 
DMH 21                     scatterplots.  Do not use with CUMULATIVE, 
DMH 21                     NORMAL, or TDF.
DMH 21 CUMulative.         Creates cumulative empirical distribution 
DMH 21                     plots of variables listed in the
DMH 21                     XVAR or YVAR command.
DMH 21                     Do not specify both XVAR and YVAR.  Do not 
DMH 21                     use with QQ, NORMAL, or TDF.
DMH 21 NORMal.             Creates normal probability plots of 
DMH 21                     variables listed in the XVAR or YVAR
DMH 21                     command.  Do not specify both
DMH 21                     XVAR and YVAR.  If XVAR is stated, do not 
DMH 21                     use with QQ, CUMULATIVE, or TDF.
DMH 21 TDF = #.            Specify degrees of freedom used to create 
DMH 21                     the probability plot of variables listed
DMH 21                     in the XVAR or YVAR command.  The #
DMH 21                     must be between 3 and 100.
DMH 21                     Do not specify both XVAR and YVAR.  Do not 
DMH 21                     use with QQ, CUMULATIVE, or NORMAL.
DMH 21 DETrend.            Use with NORMAL or TDF to create detrended 
DMH 21                     normal or t probability plots.
DMH 21 SIZE = #1, #2.      Specify size of plot as number of 
DMH 21                     characters for the horizontal axis (#1)
DMH 21                     and number of lines for the vertical
DMH 21                     axis (#2). Default: 50, 40. SIZE has
DMH 21                     no effect on HIRES plots.
DMH 21 COUNT.              Case frequencies are used as plotting 
DMH 21                     symbols.  This is the default unless
DMH 21                     XCOMMON, YCOMMON, or GCOMMON
DMH 21                     is specified.  For character plots, each 
DMH 21                     frequency is plotted as the number
DMH 21                     representing the number of
DMH 21                     points at the same plot location.  For high-
DMH 21                     resolution plots, each point is plotted 
DMH 21                     with a diamond-shaped symbol.
DMH 21 CHARacters = list.  Use to change the default plot symbols.
DMH 21 TEXT = list.        Specify a text string of up to eight 
DMH 21                     characters to identify variables or
DMH 21                     groups.  For character plots,
DMH 21                     the text string appears in place of the plot
DMH 21                     character.  TEXT overrides CHAR and cannot 
DMH 21                     be used  with NAME.  For high-resolution
DMH 21                     plots, the text appears in the Legend as
DMH 21                     a plot annotation. The
DMH 21                     point is plotted using CHAR.
DMH 21 NAME.               Uses variable names (for XCOMMON or 
DMH 21                     YCOMMON) or group names (for GCOMMON)
DMH 21                     in place of the default plot symbols.
DMH 21                     For character plots, the NAME
DMH 21                     overrides CHAR and appears in place of the 
DMH 21                     plot symbol.  NAME cannot be used with TEXT.  
DMH 21                     For high-resolution plots, the names
DMH 21                     become Legend annotation.  The point is
DMH 21                     plotted using CHAR.
DMH 21 STAT = (one or more)
DMH 21  CORrelation,       Number of points in plot, and correlation.
DMH 21  REGression,        Simple linear regression equation is 
DMH 21                     printed.
DMH 21  LINE,              Regression line is marked on plot frame.
DMH 21  TILE.              Quantiles (median = M, Quartiles = Q, 
DMH 21                     Eighths = E,  Sixteenths = H) are 
DMH 21                     marked on the plot frame.
DMH 21                     TILE is not available for scatterplots.
DMH 21 RESET.              Resets plot options to their default values.
DMH 21 WITHIN = var list.  Specify variables that define sets of cases.
DMH 21                     Consecutive cases with identical values for 
DMH 21                     WITHIN variables are considered a set.
DMH 21                     Separate sets of requested plots are 
DMH 21                     produced for each set of cases.
DMH 21 GRAPH = (1 or more) Use on systems that support high-resolution 
DMH 21                     plotting to specify the type of plots
DMH 21  CHAR, HIRES.       to be created. If not stated, HIRES
DMH 21                     is assumed for interactive runs,
DMH 21                     CHARACTER for batch runs.
DMH 21 SFILE = 'filename'. Specify name of the system file (Plotfile) 
DMH 21                     where high-resolution plots are to be saved.
DMH 21 Defaults are GCOMMON. NO XCOMMON. NO YCOMMON. CROSS. NO PAIR. 
DMH 21                        MATRIX.
DMH 21 COUNT. STAT=CORR. SIZE = 50,40.  If MATRIX is in effect, SIZE
DMH 21 is adjusted to print the matrix of plots on one page, if 
DMH 21                        possible.
DMH 21
DMH 22 CORRPLOT paragraph: Prints correlation plots.
DMH 22 FILE = name.        Specify the name of the input work file.
DMH 22 XVAR = list.        List the names or numbers to be plotted
DMH 22                     horizontally (along the x-axes).
DMH 22 YVAR = list.        List the names or numbers to be plotted 
DMH 22                     vertically.
DMH 22 VARiable = list.    Specify instead of x and y variables.  
DMH 22                     The VARIABLE command indicates that x
DMH 22                     and y variables are the same.
DMH 22 GROUP = variable.   Specify the name of the variable to use for
DMH 22                     classifying cases into groups.  You must 
DMH 22                     specify codes or cutpoints for
DMH 22                     the grouping variable in the
DMH 22                     GROUP paragraph.  Note: DM deletes grouping
DMH 22                     information after you use the AGGREGATE or
DMH 22                     TRANSFORM paragraphs.  If you perform 
DMH 22                     TRANSFORM or AGGREGATE operations
DMH 22                     on a grouping variable before
DMH 22                     using CORRPLOT, you must re-specify grouping
DMH 22                     information in a GROUP paragraph.
DMH 22 SYMbol = character. Use to identify groups in plots.  Symbols 
DMH 22                     represent the categories you specify
DMH 22                     in the GROUP paragraph.
DMH 22 SIZE = #1, #2.      Specify the size of the plot as the number 
DMH 22                     of characters for the horizontal
DMH 22                     axis (#1) and number o
DMH 22                     lines for the vertical axis (#2).  
DMH 22                     Default: 15, 12. 
DMH 22                     The minimum plot size is 9 characters by 10 
DMH 22                     lines.
DMH 22 NPLOT = #.          Specify the number of plots per row.  You 
DMH 22                     may specify up to 10 plots per row.
DMH 22                     DM ignores NPLOT when you specify
DMH 22                     SIZE; the default is number of
DMH 22                     plots that will fit on your screen within 
DMH 22                     the constraints of your SIZE specification.
DMH 22 STATistics.         Specify to print the correlation and 
DMH 22                     frequency of each plot.
DMH 22 DIAGonal =
DMH 22   HIST or STAT.     Specify what to do when x and y variables 
DMH 22                     are the same.  HISTOGRAM (the default)
DMH 22                     displays a histogram of the variable.
DMH 22                     STATISTICS prints the following 
DMH 22                     statistics: correlation, frequency, mean, 
DMH 22                     standard deviation, and the two
DMH 22                     highest and two lowest values
DMH 22 MINimum = # list.   Specify one number per variable to set a 
DMH 22                     lower limit on the plot scale.
DMH 22 MAXimum = # list.   Specify one number per variable to set an 
DMH 22                     upper limit on the plot scale.
DMH 22
DMH 20 HISTOGRAM paragraph: Prints histograms for variables of a file.
DMH 20       Histograms are printed for each subset of cases if subsets 
DMH 20       are defined.
DMH 20   FILE  = name.  Name of the work file for which to print 
DMH 20                     histograms.
DMH 20   WITHIN= list.  Sets of cases with the same WITHIN values form 
DMH 20                     a histogram (input file should be sorted).
DMH 20   RECT  = chars. Sets of records of chosen type form a 
DMH 20                     histogram.
DMH 20   VARIAB= list.  Variables for which to print histogram.
DMH 20   MIN   = list.  Minimum histogram scale values, one for each 
DMH 20                     variable.
DMH 20   MAX   = list.  Maximum histogram scale values, one for each 
DMH 20                     variable.
DMH 20
DMH 14 SAVE paragraph: Saves a rectangular file, or a rectangular 
DMH 14       portion of a file in a BMDP file,
DMH 14       or in a FORMATTED or binary file.
DMH 14   FILE  = name.  Name of the work file to save.
DMH 14   SFILE = name.  Name of the file as your operating system will 
DMH 14                    know it. Defaults to the FILE name.
DMH 14   NEW.           Previous BMDP files are deleted from the SFILE.
DMH 14   CODE  = name.  BMDP file code.  If not stated, the FILE name 
DMH 14                    is used.
DMH 14   LABEL = 'text'.BMDP file label.  Up to 40 characters of text.
DMH 14   KEEP  = list.  Variables to be saved.
DMH 14   DELETE= list.  Variables to delete.
DMH 14   FORMAT= 'c'.   Output format, F, G, or the word BINARY.
DMH 14                    If omitted, BMDP file is saved. Use FORMAT
DMH 14                    = SAS to save a SAS portable file. Use
DMH 14                    FORMAT = SPSS to save an SPSS portable file.
DMH 14   RECT  = char.  Record type to be saved.
DMH 14   MISS = #list.  One number per variable for missing value code.
DMH 14   PORTABLE.      Save a character image BMDP file. Must use
DMH 14                    FILE and CODE with PORT.
DMH 14
DMH 16 DELETE paragraph: Deletes one or more of the work files.
DMH 16   FILE  = list.  Names of work files to delete.
DMH 16                    This does   N O T   delete the external file 
DMH 16                    from the operating system;
DMH 16                    it merely releases the program's
DMH 16                    internal space used to store the file(s).
DMH 16
DMH  4 END paragraph: Deletes all work files, but does not stop the 
DMH  4   program.
DMH  4
DMH  5 FINISH paragraph: terminates the program and returns control 
DMH  5   to system.
DMH  5
DMH  1 CONTROL paragraph: Controls program execution environment and 
DMH  1       provides diagnostic information on program errors.
DMH  1   INTERACT.      Sets execution mode to interactive;
DMH  1                    NO INTERACT. sets execution to batch mode.
DMH  1   SFILE  = c.    Program instructions are read from file 
DMH  1                    named c.
DMH  1                    After reading the end of this file program
DMH  1                    instructions are read from the standard input stream.
DMH  1   MAC    = c.    Macro file is on system file named c.
DMH  1   ERRLEV = c.    Sets error level at which program is to stop.
DMH  1                    c may be NONE, INTERACT, NORMAL, or STRICT.
DMH  1   DUMP.          When in batch mode, a complete BMDP storage dump is
DMH  1                    printed.  In interactive mode, selected arrays can be
DMH  1                    displayed.
DMH  1   LENGTH = #.    Length of storage area to use. Reducing the storage
DMH  1                    area can save CPU time when DEBUG=TEST. or INFO.
DMH  1   COLUMN = #.    Number of characters to read per line in DM
DMH  1                    instructions.
DMH  1   DEBUG = NORM.  No special debugging is done.
DMH  1           TRACE. Entries/exits from subroutines are reported.
DMH  1           TEST.  Memory is checked periodically.
DMH  1           INFO.  Memory is checked, and all space allocations, GETME
DMH  1                    calls, and subroutine traces are printed.
DMH  1
**
** ---------------------  N E W S -----------------------------------------
**
**  BMDP Release 7.01 includes the MENTOR program. MENTOR is a new  utility
**  that helps you to instantly produce complex BMDP control files without
**  any knowledge of BMDP control structure or syntax. For 12 of the
**  BMDP programs, MENTOR will prompt you to answer questions about
**  your data and your analysis. Then MENTOR will generate the
**  appropriate BMDP input file, save the file, run the selected BMDP
**  program, and save the results to an output file. See the
**  "BMDP/PC User's Guide" for a complete discussion of
**  MENTOR.
**
**  The BMDP/PC user interface features pop-up menus with
**  customizable keystroke shortcuts.
** 
**  Context-sensitive Help is available throughout BMDP/PC, 
**  even to the level of individual BMDP program commands. 
**  Also, statistical examples from the Release 7.01 documentation 
**  are online for all programs.
** 
**  PLOT, BMDP/PC's high-resolution plotting program, 
**  supports full color operation, HPGL export, plot zooming, and 
**  more. PLOT now offers a Plot menu listing the various plots
**  that you can create directly from your data, without running
**  a BMDP program. PLOT, previously an add-on program, comes with 
**  BMDP/PC and is installed automatically via BMDP/PC's 
**  installation procedure.
**  
**  Data Entry (DE) allows PC users to enter, view, and edit 
**  data sets through a spreadsheet-like editor. Data Entry, 
**  previously an add-on program like PLOT, comes with BMDP/PC 
**  and is also installed via the installation procedure.
**
**  Import/Export, a new BMDP/PC capability, enables users 
**  to import data from BMDP, dBASE, Excel, Lotus, Quattro Pro, 
**  SAS, SPSS, and Symphony. BMDP, SAS, and SPSS files can be 
**  exported.
**
**  CONTROL LANGUAGE
**  ----------------
**  To the right of an equal sign, you may use expressions of the type
**  NUMBER*NAME, e.g.,
**  /DESIGN COVARIATE = 5*AGE.
**  This is equivalent to, and shorter than, AGE,AGE,AGE,AGE,AGE.
**
**  To the right of an equal sign, for a command which accepts a list of
**  variable names and/or numbers, the keyword NONE is the same as 0. E.g.
**  /GROUP VARIABLE = NONE.  
**  will erase the grouping variable.
**
**  To the right of an equal sign, in expressions of the types #1 TO #2 BY #3,
**  or NAMEi TO NAMEj by #, the number at the end may be negative, e.g.
**  11 TO 1 BY -2.5, or V10 TO V1 BY -3.
**
**  You can now refer to variables by number anywhere in the control language,
**  not just in the TRANSFORM paragraph.  For instance, X(3) is taken to be
**  variable number 3, unless there is a variable named X(3), in which case it
**  is taken to be that variable.  Note that X(3) may not be variable number 3
**  in the following case:  /SAVE KEEP = 3,2,1. (and variables are named X(1)
**  etc. by default). Then when the file is read, X(3) will be variable number
**  1, and X(1) will be number 3.
**
**  INPUT paragraph
**  ---------------
**  The RECLEN command does not default to the next problem.
**  Blank(s) between the E or D of scientific notation, and the exponent which
**  follows it, are ignored if FORMAT = FREE, STREAM or SLASH.  Those blanks
**  are not taken to be the end of the number.
**  Up to 160 characters of the TITLE are printed after PROGRAM INSTRUCTIONS.
**  Up to 112 characters are printed at page breaks if LINESIZE is 132, and
**  up to  64 characters are printed if LINESIZE is 80.
**
**  VARIABLE paragraph
**  ------------------
**  The MMV sentence (see KM) has been added to 1D, 2D, 3D, 7D, 4F, 5R and 2V.
**  The default for these programs is to use all acceptable values except for 
**  5R, which throws out a case if its dependent or independent variable is
**  missing.
**
**  GROUP or CATEGORY paragraph
**  ---------------------------
**  A variable mentioned in the ALPHA command is assumed to be alphanumeric.
**  If it is read in FREE format (or STREAM or SLASH), it is read as characters.
**  So, if you recode the variable in a TRANSFORM paragraph, you
**  should use syntax similar to the following paragraph:
**  /TRANS  IF (SEX EQ CHAR(1)) THEN SEX = CHAR(M).
**  rather than 
**  IF (SEX EQ 2)...
**
**  TRANSFORM paragraph
**  -------------------
**  In multi-argument functions, you can use the keyword TO between variable
**  names to indicate a range. For example,
**  /TRANS MEANAGE = MEAN(AGE1 TO AGE9).
**  You cannot use TO in DM.
**
**  You can use the following new functions in the TRANSFORM paragraph,
**  and in these other paragraphs:
**  In 2L: FUN
**  In AR: FUN, FPAR, DIFIN, DIFEQ
**
**  Logical Operator
**  NOT a    result = 1 if a = 0,    otherwise, result = 0.
**
**  Summary Functions
**  FVAL (a1,a2,...,an)     First usable value (a1,a2,..., or an).
**  ORD  (i,a1,a2,...,an)   i-th smallest usable value.
**
**  Commands
**  ZSCR (a1,a2,...,an)     Replaces each usable value by its z-score, using the
**                          mean and standard deviation of the usable values.
**                          Any values that are missing or out of range are
**                          unchanged.
**  SORT (a1,a2,...,an)     Permutes the values so that a1 < a2 < ... < an.
**                          Any values that are missing or out of range are
**                          replaced by XMIS and placed at the end.
**  RANK (a1,a2,...,an)     Replaces the smallest usable value by 1, the next by
**                          2, ... etc.  If there are ties, averages are taken,
**                          e.g. RANK(3,3,2) gives (2.5,2.5,1).  Any values that
**                          are missing or out of range are replaced by XMIS.
**
**  SAVE paragraph
**  --------------
**  When you save a correlation or covariance matrix, the program will 
**  number the variables on the save file in order, 1,2,3, etc.
**  If you performed the analysis on a subset of the variables in your
**  original file, then the variable numbers in the save file will
**  bear no relation to the original numbers of the variables. 
**
**  Previously, the program saved the original variable numbers, 
**  which sometimes caused problems when the file was read. 
**  This change may require some changes in control language, e.g.,
**  /INPUT FILE = FILE3. CONTENT = CORR.
**  /REGR  DEPENDENT = CHOLSTRL.
**  will work, but DEPENDENT=6. may not.
**
**  CONTROL paragraph
**  -----------------
**  MACFILE commands default to the next problem.
**  RESET command no longer erases the SCRATCH.EDT file when the BMDP line 
**  editor is used.
**
**  PRINT paragraph
**  ---------------
**  (See also interactive PRINT, below).
**  In any program except DM, you may see the NEWS by supplying the following
**  control language: 
**  /PRINT NEWS. /END
**
**  Commands MIN. MISS. MAX. METH = ... are now available in 1D, 2D, 3D, 7D, 4F,
**  1M, 4M, 5M, 7M, 2R, 3R, 5R, LR and 2V.  They work exactly the same as in 1D.
**
**  The command CASE = # . is now available in programs 1D, 2D, 3D, 7D, 8D, 4F,
**  2L, 1M, 4M, 5M, 6M, 7M, 8M, 9M, AM, KM, 2R, 3R, 5R, 6R, 9R, LR, PR, 1T, 1V
**  and 2V.  The # defaults to the next problem, and the initial default value
**  is 10.  For those programs (except for 7D, 8M and 2R), the command DATA
**  means print all used cases, and NO DATA means PRINT CASE = 0.  In 7D and 2R,
**  PRINT DATA means exactly what it used to mean.  See also 8M.
**
**  Limits on LINESIZE are 79 and 132.  Anything less than 79 will be reset to
**  79, and anything exceeding 132 will be reset to 132.
**
**  The following commands are read by programs 1D, 2D, 3D, 7D, 4F, 1M, 4M, 5M,
**  7M, 2R, 3R, 5R and 2V:
**  MEAN.     Prints mean, std.d. and frequency of each used variable.
**  SKewness. Prints skewness and kurtosis of each used variable.
**  EXTReme.  Prints minimum and maximum of each used variable.
**  EZSC.     Prints Z-scores of min and max of each used variable.
**  ECAS.     Prints case numbers of min and max of each used variable.
**  NONE.     Erases the options above.
**  If SK,  EZSC or ECAS is on, then EXTR is forced on.
**  If EXTR is on, then MEAN is forced on.
**  The standard error of the mean and coefficient of variation are printed if
**  MEAN is on and SK is off.
**  The range is printed if EXTR is on and printing range does not cause the
**  LINESIZE to be violated.
**  Default values and limitations for each program are given in that program's 
**  NEWS.
**
**  INTERACTIVE PARAGRAPHS
**  ----------------------
**  Some programs which did not accept interactive paragraphs (after /END) now
**  do so.  Others which already did, now accept additional interactive
**  paragraphs.  Details for each program are given in that program's NEWS.
**  The instructions for any interactive TRANSFORM, SAVE, GROUP or CONTROL para-
**  graph are identical to those for the batch-type paragraph, except that
**  CONTROL RESET./ tells the program to stop reading interactive paragraphs,
**  and read a new problem.  This switch from interactive to batch can also be
**  accomplished without resetting everything, by using an interactive END
**  paragraph, as in 2T or 4V.  A run may be terminated by using an interactive
**  FINISH paragraph.
**
**  General instructions for interactive PRINT paragraph
**  ----------------------------------------------------
**  The following commands are accepted, as described in the BMDP 
**  manual or above:
**  LINEsize, PAGEsize, VNAMe, GNAMe, VUSe, LEVel, NEWS, VALUes, DEBUg, MISS,
**  MINimum, MAXimum, MISSing, and METHod.  Note that FIELDS is not read, nor
**  are some of the new commands, above.  In addition, three new commands are
**  read:
**  CASE = #.       Sets the number of cases to print.
**  DATA.           Prints all cases, overriding CASE = #.
**  VAR = list.     Gives names or numbers of variables to print.  If a program
**                  calculates derived variables (residuals, factor scores,
**                  etc.), they may be printed.
**  If CASE or DATA is specified in a batch paragraph preceding the interactive
**  paragraph, that specification is the default for interactive paragraphs.
**  Otherwise, the default is PRINT NO DATA. CASE=10.
**  The default list of variables to print is all used variables.
**  If a program does not follow the general instructions, the differences
**  are explained in that program's NEWS.
**
CA  CA now reads interactive GROUP, CATEGORY and CONTROL paragraphs.
CA  The grouping variable may now be specified by /GROUP VARIABLE = ... .
CA  In /SAVE CONTENT = list, the list may now include any or all of:
CA  DATA, SCORE and COUNT as well as,
CA  ROWPercent    row percents
CA  COLPercent    column percents
CA  PERCent       percent of table total
CA  EXPected      expected values
CA  DIFFerence    (observed minus expected)/expected
CA  ALL           all of the above
CA
CA  There is no longer a limit of one element in CONTENT = list.
CA  For Multiple CA, or if 
CA  SAVE PORT. 
CA  is specified, only DATA and/or SCORES may be saved.
CA  If COUNT, or the new options, are saved, CA does not generate a CONTENT
CA  based on the table number, as in 4F.  The user should give a different
CA  CODE for each SAVE paragraph.
CA
1D  In the PRINT paragraph, MEAN, EXTR and EZSC are on by default, and SK and
1D  ECAS are off.
1D  The grouping variables may now be specified by /GROUP VARIABLE = ... .
1D  This is the only way to specify them in an interactive paragraph.
1D  1D now accepts interactive SORT, GROUP, PRINT, SAVE, TRANS, CONTROL,
1D  END and FINISH paragraphs.  The SORT paragraph reads two commands:
1D  KEY = list.              (same meaning as INPUT SORT  = ... )
1D  ORDER = D or A list.     (same meaning as INPUT ORDER = ... )
1D  The PRINT paragraph prints data of individual cases and/or 1D summary
1D  statistics.  The other paragraphs may be used to regroup or sort data.
1D  For example,
1D  GROUP VAR=SEX./
1D  SORT  KEY=AGE./
1D  PRINT VAR=SMOKING,DRINKING. DATA./
1D
2D  In the PRINT paragraph, NONE is on by default.
2D  A grouping variable may be specified by either GROUP VAR = variable., or by
2D  COUNT GROUP = variable.  The usual 2D analysis will be performed for each
2D  group.
2D  2D now accepts interactive PRINT, COUNT, GROUP, SAVE, TRANS, CONTROL,
2D  END and FINISH paragraphs.  The interactive PRINT paragraph reads only the
2D  2D commands ESTIMate, WSTATistic, COUNT and STEM.  The other paragraphs may
2D  be used to set options for the PRINT paragraph. For example,
2D  GROUP VAR=AGE. CUTPoints(AGE) = ... ./
2D  COUNT ROUND = 1.0, 0.1./
2D  PRINT WSTAT. /
2D  The line plot of location estimates now includes a scale.
2D  The histogram includes a scale, when LINESIZE = 80.
2D
3D  In the PRINT paragraph, MEAN, EXTR, EZSC and ECAS are on by default, and SK
3D  is off.
3D  The grouping variable may now be specified by /GROUP VARIABLE = ... .
3D  This is the only way to specify it in an interactive paragraph.
3D  3D now accepts interactive TWOGROUP, ONEGROUP, MATCHED, TEST, GROUP,
3D  PRINT, SAVE, TRANS, CONTROL, END and FINISH paragraphs.
3D  The degrees of freedom for the correlation in the MATCHED test were fixed.
3D
5D  The grouping variable may now be specified by /GROUP VARIABLE = ... .
5D  This is the only way to specify it in an interactive paragraph.
5D  /PLOT GROUP does not default to the next problem.
5D
6D  The grouping variable may now be specified by /GROUP VARIABLE = ... .
6D  This is the only way to specify it in an interactive paragraph.
6D  The interactive VAR paragraph reads only the COUNT command.
6D
7D  In the PRINT paragraph, MEAN and EXTR are on by default, and SK, EZSC and
7D  ECAS are off.  The interactive PRINT paragraph has not changed.
7D  It is as described in the BMDP manual, not as described above.
7D
9D  GPLOT is not plotted if only one variable is given in TABULATE GROUP= ... .
9D
LE  CDFs may be used in the DEN and FPAR paragraphs.
LE  Other TRANS functions which have more than one argument, and DATE functions,
LE  may not be used.
LE  An interactive SAVE paragraph is now accepted.  After reading it, LE will
LE  save the results of the next PARAMeter, ESTIMate, FPARameter, DENSity or FIX
LE  paragraph.
LE
4F  In the PRINT paragraph, MEAN and EXTR are on by default, and SK, EZSC and
4F  ECAS are off.
4F  Fisher's exact test is now always printed when you request it.  The limits
4F  on the minimum expected frequency, and the sum of table entries, have been
4F  erased.
4F  The row-wise and column-wise relative symmetry test is added.
4F  In /SAVE CONTENT = list, the list may now include any or all of:
4F  DATA and COUNT as well as:
4F  ROWPercent      row percents
4F  COLPercent      column percents
4F  PERCent         percent of table total
4F  EXPected        expected values
4F  DIFFerence      observed minus expected
4F  FReeman         Freeman-Tukey deviates
4F  STANdardized    standardized deviates
4F  ADJusted        adjusted standardized deviates
4F  CHISquare       components of the Pearson chi-square statistic
4F  LRCHi           components of the likelihood ratio chi-square statistic
4F  ALL             all of the above
4F
4F  EXPECTED through LRCHI are available only for two-way tables.
4F
1L  Brookmeyer-Crowley calculation was fixed.  The upper limit of the interval
1L  is now usually the next higher time value than the one printed previously.
1L
2L  Competing Risk Analysis is now available.  If COMPRISK is specified without
2L  STATUS, the STATUS variable is the COMPRISK variable by default.
2L  In the REGRESS paragraph, these commands may be abbreviated: COMPrisk,
2L  CONStant, and ACCel.  On the right side of the ACC command, you may specify
2L  EXPonential, WEIBull, LLOGistic or LNORmal.  On the right side of the RISK
2L  command, you may specify LOGLinear, LINear, COMBination or USER.
2L
2L  The CONV command of the REGRESS paragraph accepts two numbers.  The first is
2L  as described in the BMDP manual.  The second is an absolute convergence 
2L  criterion on the parameters. The program prints a warning if 
2L  the converged estimate of any parameter differs from the previous 
2L  iteration by more than this amount.
2L  If /FORM UNIT = YEAR, convert days to years by dividing by 365.25, as 1L
2L  does.  If UNIT = MONTH, divide by 30.4375, as 1L does.
2L  2L previously used 366 and 30.5.
2L  /PLOT XVAR now accepts any variable in the USE list, plus the special
2L  variable TIME.
2L  The DIAGNOSTIC command in the PRINT paragraph generates diagnostic
2L  plots for either the exponential or Weibull models.
2L
1M  In the PRINT paragraph, MEAN, EXTR, EZSC, ECAS and CORR are on by default,
1M  and SK and COV are off.  COV and CORR commands print the covariance and
1M  correlation matrices, respectively, of used variables.  When COV or CORR
1M  is on, MEAN is forced on.
1M
2M  The option NCUT=11 is not allowed.
2M
4M  In the PRINT paragraph, MEAN, EXTR, EZSC, ECAS and CORR are on by default,
4M  and SK and COV are off.  COV and CORR commands print the covariance and
4M  correlation matrices, respectively, of used variables.  When COV or CORR
4M  is on, MEAN is forced on.
4M  4M now reads interactive FACTOR, ROTATE, GROUP, PLOT, PRINT, SAVE, TRANS,
4M  CONTROL, END and FINISH paragraphs.  In particular, you may do factoriza-
4M  tions until you find one you like, and then do rotations, based on that
4M  factorization, until you find one you like.  In the interactive PRINT
4M  paragraph, 4M-specific commands as well as those of the interactive PRINT
4M  are accepted.
4M  If a Heywood case (communality exceeding 1) occurs, 4M now prints a warning
4M  and continues, instead of stopping.
4M  4M now prints
4M  1. A histogram of eigenvalues.
4M  2. Goodness-of-fit chi-square for MLFA.
4M  3. Cronbach's alpha, by specifying /PRINT CRON.  This command defaults from
4M     one (sub)problem to the next.  The original default is NO CRON.
4M     If CRON is specified, then next to the SMC for each variable, 4M prints
4M     alpha with that variable removed.
4M  4. Log likelihood at each iteration.  Iterative output may be suppressed by
4M     /PRINT NO ITER., which defaults from one (sub)problem to the next.
4M     The original default is ITER.
4M  5. If the matrix factored is a correlation matrix, and at least two factors
4M     are calculated, and oblique rotation (DQUART, DOBLI or ORTHOB) is done,
4M     4M computes second-order factors from the factor correlation matrix.
4M  When an input matrix is a correlation or covariance matrix, you must specify
4M  /INPUT CASES = # . to specify how many cases were used to create the matrix.
4M
5M  The following is a brief description of commands for the new
5M  Linear and Quadratic Discriminant Analysis program.
5M  In the PRINT paragraph, MEAN and EXTR are on by default, and SK, EZSC and
5M  ECAS are off.
5M                          Meaning                         Default    Carryover
5M  /DISCriminant
5M      QUADratic.          Perform quadratic analysis      QUAD.            *
5M      LINear.             Perform linear analysis         NO LIN.          *
5M      VARiable=list.      List of variables to use.       all variables in
5M                                                          use-list, except
5M                                                          grouping var.    *
5M  /GRoup
5M      VARiable=# or name. Grouping variable                                *
5M      USE = group #s.     List of group numbers to use.   all groups
5M      PRior=PROPortion.   Prior probabilities propor-
5M              or           tional to group sizes.        1/N, where N is
5M      PRior=list of #s.   Prior probabilities, sum        # groups used
5M                           should be 1.
5M
5M  /PRINt
5M      WCOV.          Print within-groups covariance.      NO WCOV.         *
5M      WCOR.          Print within-groups correlation.     NO WCOR.         *
5M      BCOV.          Print between-groups covariance.     NO BCOV.         *
5M      BCOR.          Print between-groups correlation.    NO BCOR.         *
5M      TCOV.          Print total covariance.              NO TCOV.         *
5M      TCOR.          Print total correlation.             NO TCOR.         *
5M      PCOV.          Print pooled covariance.             NO PCOV.         *
5M      PCOR.          Print pooled correlation.            NO PCOR.         *
5M      MCOR.          Print multiple correlation table.    NO MCOR.         *
5M      GRoup = list.  List of groups for above matrices.   all groups       *
5M      DISTances.     Print Mahalanobis distances
5M                       between group means.               DIST.            *
5M      LPOSterior.    Print posterior probabilities for
5M                       linear discriminant analysis.      LPOS.            *
5M      QPOSterior.    Print posterior probabilities for
5M                       quadratic discriminant analysis.   QPOS.            *
5M      QCoefficient.  Print coefficients for
5M                       quadratic discriminant analysis.   QC.              *
5M      CASE = #.      Print data                           10               *
5M      MISSing.       Print cases with missing data        NO MISS.         *
5M      MINimum.       Print cases less than lower limit    NO MIN.          *
5M      MAXimum.       Print cases greater than upper       NO MAX.          *
5M                       limit
5M      METHod = VAR   Determine how printout is            VAR 
5M          or CASE.     organized
5M      MEAN.          Prints mean, s.d., and frequency     MEAN.            *
5M      SKewness.      Prints skewness and kurtosis         NO SK.           *
5M      EXTReme.       Prints minimum and maximum           EXTR.            *
5M      EZSC.          Prints Z-scores of min and max       NO EZSC.         *
5M      ECAS.          Prints case nos. of min and max      NO ECAS          *
5M 
5M  /SAVE
5M      LPOSterior.    Save posterior probabilities         NO LPOS.
5M                       from linear analysis.
5M      QPOSterior.    Save posterior probabilities         NO QPOS.
5M                       from quadratic analysis.
5M        *** Note. raw data is always saved.
5M
5M  The above four paragraphs may also be used as interactive paragraphs, along
5M  with the interactive TRANS paragraph.  In an interactive PRINT paragraph,
5M  the DIST, LPOS, QPOS, and QC commands have no effect until the next DISC
5M  paragraph.
5M
7M  The grouping variable may now be specified by /GROUP VARIABLE = ... .
7M  This is the only way to specify it in an interactive paragraph.
7M  In the PRINT paragraph, MEAN, EXTR, EZSC and ECAS are on by default, and SK
7M  is off.
7M  7M now reads interactive DISCriminant, GROUP, PLOT, PRINT, SAVE, TRANS,
7M  CONTROL, END and FINISH paragraphs.  In the interactive PLOT, PRINT and
7M  SAVE paragraphs, 7M-specific commands as well as those of the general
7M  interactive paragraphs are accepted.
7M  /INPUT GROUP and GROUP PRIOR do not default to the next problem.
7M  The default value for DISC STEP is 2*(1 + number of variables used).
7M  7M now reports average squared canonical correlation.
7M  Multivariate tests are now printed: Wilks' Lambda, Pillai's trace,
7M  Hotelling-Lawley trace, Roy's maximum root.
7M  7M no longer lets an interactive user force in a variable whose F-to-enter
7M  value is zero.
7M
8M  PRINT DATA. now controls only the compact data display.  PRINT CASE = # may
8M  be used to control the number of cases of raw data printed (default is ten).
8M  LOAD   REWIND. rewinds the load file. Default is REWIND. Defaults to next
8M                                                           problem.
8M         TYPE = LOAD or SCOR. (factor loadings or scores)  Default is LOAD.
8M                              Does not default to next problem.
8M  FACTOR LIMIT = #. stopping criterion for iterations, default is 0.
8M         USE = names or numbers of factors to use.  Ignored unless
8M               /LOAD TYPE = LOAD.
8M         ITERATE = #. Maximum number of iterations.  Default is
8M                      max(1,3*(NUMBER-INITIAL)-1)
8M
9M  PRINT CASE defaults to the next problem, as in other programs.
9M
AM  The grouping variable may now be specified by /GROUP VARIABLE = ... .
AM  Groups may be collapsed as in other programs.
AM  /PRINT SHADE. causes the correlation matrix and correlation matrix of
AM  dichotomized variables to be printed in shaded form.  Default is NO SHADE.
AM  It carries over to the next problem. /PRINT NCUT = 5 or 8 or 11 as in 4M.
AM  The TTEST output from 8D may be printed by specifying /PRINT MATRIX = TTEST.
AM  This output is suppressed if /ESTIMATE TYPE = COMPLETE.
AM  When /ESTIMATE TYPE = ML., asymptotic standard errors, t-statistics, and
AM  confidence intervals for means are printed, along with Rod Little's 
AM  chi-square test for missing completely at random (MCAR).  
AM  Details of the ML iterations may be printed by specifying 
AM  /PRINT MATRIX = DETail.
AM
1R  The grouping variable may now be specified by /GROUP VARIABLE = ... .
1R  This is the only way to specify it in an interactive paragraph.
1R  The Durbin-Watson test is now calculated and printed.
1R
2R  In the PRINT paragraph, MEAN, EXTR, SK and EZSC are on by default, and ECAS,
2R  COV and CORR are off.  COV and CORR commands print the covariance and
2R  correlation matrices, respectively, of used variables.  When COV or CORR
2R  is on, MEAN is forced on.
2R  2R now accepts interactive REGRESS, GROUP, PLOT, PRINT, SAVE, TRANS,
2R  CONTROL, END and FINISH paragraphs.  The interactive PRINT paragraph 
2R  accepts 2R PRINT commands, plus LINE, PAGE, LEVEL, DEBUG, CASE and VAR.
2R  The serial correlation and Durbin-Watson test are now calculated and
2R  printed.
2R  PLOT EXTREME may be ten at most.
2R
3R  In the PRINT paragraph, MEAN, EXTR and ECAS are on by default, and SK and
3R  EZSC are off.
3R  CDFs may be used in the FUN and FPAR paragraphs.  
3R  You may not use other TRANS functions which have more than one
3R  argument, or DATE functions.
3R  In the FPAR paragraph, functions of parameters may be defined using only
3R  parameters and already-defined functions.  Using input variables is not
3R  allowed, since variables have different values for different cases, but
3R  parameters do not.
3R  The Durbin-Watson test is now calculated and printed.
3R
4R  Previously, 4R printed coefficients and scores of components which entered
4R  the regression.  Now it prints them for all components.  If some components
4R  do not enter the regression, 4R indicates that results for these components
4R  may not be meaningful.
4R
5R  In the PRINT paragraph, MEAN and EXTR are on by default, and SK, EZSC and
5R  ECAS are off.
5R
6R  REGRESSION WEIGHT does not default to the next problem as it does
6R  in most other BMDP regression programs.
6R
9R  The MAXVAR command is now read in the REGRESS paragraph, not the PRINT
9R  paragraph.  The default value is the number of independent variables.
9R
AR  In the FPAR paragraph, functions of parameters may be defined using only
AR  parameters and already-defined functions.  Using input variables is not
AR  allowed, since variables have different values for different cases, but
AR  parameters do not.
AR
LR  The COST command now prints an additional plot, the ROC (Receiver
LR  Operating Characteristic) plot.
LR  PLOT EXTREME may be ten at most.
LR
PR  PLOT EXTREME may be ten at most.
PR
3S  The grouping variable may now be specified by /GROUP VARIABLE = ... .
3S  The Kolmogorov-Smirnov test may be requested by /TEST KS.  Like other tests,
3S  it defaults from one (sub)problem to the next, and it is ignored if KRUSKAL
3S  is specified.
3S  Direction of sign test is indicated by showing the number of positive
3S  values in a matrix form.
3S  Numbers that are nearly equal are taken to be equal in the nonparametric
3S  tests. For example, 3.2-1.4 and 2.0-0.2 are two unequal numbers on some
3S  computers, but they are counted as tied.
3S
1T  START and DELTA in the TFAXIS paragraph are ignored if /VARIABLE TIME = ...
1T  is specified.
1T  In the DEMOD paragraph, specify SAVE. to save the results of that paragraph.
1T  In that paragraph, you may also use the FILE, CODE, FORMAT, PORT
1T  and NEW commands of the standard SAVE paragraph.
1T
1V  The grouping variable may now be specified by /GROUP VARIABLE = ... .
1V  This is the only way to specify it in an interactive paragraph.
1V
2V  In the PRINT paragraph, MEAN and EXTR are on by default, and SK, EZSC and
2V  ECAS are off.
2V  The grouping variables may now be specified by /GROUP VARIABLE = ... .
2V  2V now reports:
2V   - marginals for adjusted cell means
2V   - miniplots of adjusted cell means (/PLOT MINI.)
2V   - standard errors of adjusted cell means
2V   - confidence intervals of trial cell means within each group (/PRINT CONF.)
2V  To request confidence intervals in a vertical format, state
2V  /PRINT CONF. VERTICAL.  
2V  The default is horizontal.  The assigned value carries over from
2V  problem to problem.  If you want to print confidence intervals, specify
2V  /PRINT MEAN.
2V  Group contrasts can now be tested. Group contrast commands are similar
2V  to the trial contrast commands.  For example
2V    /DESIGN  GCONTRAST(AGE) = ALIN, AQUAD.
2V             GCONTRAST(SEX) = SLIN.
2V             ALIN = 3, 1, -1, -3.
2V             AQUAD = 1, -1, -1, 1.
2V             SLN = 1, -1.
2V             TCONTRAST(T1) = TQUAD.
2V             TQUAD = 1, -2, 1.
2V  Note that we can use TCONTRAST or CONTRAST to indicate trial contrasts.
2V  As in trial contrasts, the group contrasts do not default from problem to
2V  problem.
2V  State /DESIGN BON. to print lower and upper 95 percent Bonferroni confidence
2V  limits of the mean differences of all possible pairs of levels of each trial
2V  factor.  This procedure assumes that the sphericity test holds.  It carries
2V  over from problem to problem.
2V
3V  In the DESIGN paragraph, the CONVerge command carries over to the next
3V  problem, but the DEPEND, FIXED, RANDOM and COVA commands do not.
3V  In the PRINT paragraph, the ITERations command will cause the log-
3V  likelihood and parameter values to be printed at every iteration, and
3V  RESIdual causes the residual analysis to be printed.  Both carry over
3V  to the next problem.  Defaults are RESI. NO ITER.
3V
4V  The POWER and MLIM commands may be read in the PROBLEM or INPUT paragraphs.
4V  The DIGITS command formerly read in the PROBLEM paragraph is now read in
4V  the PRINT paragraph.  Note that the DIGITS command in the PRINT paragraph
4V  is not the same as the DIGITS command in the INPUT paragraph.
4V  MLIM allows you to increase the number of matrices allowed in a
4V  problem.  Default: MLIM = 100.
4V
5V  BMDP now offers "ANOVA and Regression with BMDP 5V". The new book 
5V  presents in a unified way the diverse analyses made possible by
5V  program 5V. The book helps users to recognize study designs, then
5V  it fully explains the application of 5V to those designs.
5V  The grouping variables may now be specified by /GROUP VARIABLE = ... .
5V  This is the only way to specify them in an interactive paragraph.
5V  The CONV and CRIT commands in the COMPUTE paragraph have been replaced by
5V  the LCONV and PCONV commands which are exactly the same as in LR, except
5V  that the default for LCONV is 0.00001.
5V  "All pairs" matrices with the unequal Z random effects are taken out
5V  because they don't make sense.
5V  Random effects model with AR(1) residual correlation structure may be
5V  requested by /STRUCTURE TYPE = ARANDOM.  As with TYPE = RANDOM, you must
5V  specify a ZVAR command, or ZCOL commands.  The number of parameters is one
5V  greater than with TYPE = RANDOM.
5V  You may request Wald tests, and linear combinations of parameters to
5V  estimate, by using the new ESTIMATE paragraph:
5V    /ESTIMATE COMBinations = Name1, Name2, ...
5V              Name1 = list of NP coefficients.
5V              Name2 = list of NP coefficients.
5V              ...
5V              WALD = list of any combination of Name1, Name2, etc.
5V  where NP is the number of covariance parameters. The commands Name1, Name2,
5V  etc., must be in the same order as they appear in the COMB command.  The
5V  WALD command is optional, and may be repeated within the ESTIMATE paragraph.
5V  The ESTIMATE paragraph may be used in batch or interactive paragraph 
5V  mode.  It applies to any COMPUTE paragraph up to the next ESTIMATE 
5V  paragraph, or the next batch of BMDP instructions.
5V  Additional residuals are now printed, including responses or imputed values,
5V  predicted means, standard errors of predicted means, residuals, standard
5V  errors of residuals, and new standardized residuals.
5V
8V  Means and deviations will always be printed for main effects.  If no PRINT
8V  command is specified, they will be printed for second-order interactions,
8V  too.
8V
DM  REPL, FILL and ZSCR functions were added to the TRANS paragraph.
DM  In both the TRANS and AGGR paragraphs:
DM  1. X(#) is interpreted as in other programs.
DM  2. The conditional form  IF (...) THEN (...) ELSE (...) will do nothing if
DM  the first condition is UNDEFINED.  I.e., UNDEFINED is not included in ELSE.
DM    The PLOT commands are replaced by the following:
DM  Some commands are available only on systems that support high-resolution
DM  plotting. See your system-specific User's Guide for more information.
DM  FILE = name.          Specify the name of the input work file of data.
DM  XVARiables = list.    List the variables to be plotted horizontally.
DM  YVARiables = list.    List the variables to be plotted vertically.
DM  XCommon.              Plot all XVARIABLES in the same plot frame.
DM  YCommon.              Plot all YVARIABLES in the same plot frame.
DM  XMINimums = # list.   Specify one number per variable in the XVAR list
DM                        to set lower limits on the plot scale.  Do not use
DM                        with GRAPH=HIRES.
DM  XMAXimums = # list.   Specify one number per variable in the XVAR list
DM                        to set upper limits on the plot scale.  Do not use
DM                        with GRAPH=HIRES.
DM  YMINimums = # list.   Specify one number per variable in the YVAR list
DM                        to set lower limits on the plot scale.  Do not use
DM                        with GRAPH=HIRES.
DM  YMAXimums = # list.   Specify one number per variable in the YVAR list
DM                        to set upper limits on the plot scale.  Do not use
DM                        with GRAPH=HIRES.
DM  XSCAle = (one only)   Specify the x-axis scale.  Default: LINEAR.
DM   LINEAR, SQUARE, SQRT,
DM   LN, EXP, LOG.
DM  YSCAle = (one only)   Specify the y-axis scale.  Default: LINEAR.
DM   LINEAR, SQUARE, SQRT,
DM   LN, EXP, LOG.
DM  CROSS.                Plot each variable in the XVAR list against each in
DM                        the YVAR list.
DM  PAIR.                 Plot the first variable in the XVAR list against the
DM                        first in the YVAR list, 2nd vs. 2nd, etc.
DM  MATRIX.               Print the plots in matrix form, several on a page.
DM                        Use NO MATRIX. to print large plots, one or two per
DM                        page.
DM  GVARiable = variable. Specify the variable used to classify the cases
DM                        into groups.  By default, the cases are not grouped.
DM  GROUPs = list.        List groups to plot.  Default: all groups.
DM  GCommon.              Unless you state NO GCOM, DM plots all GROUPS in
DM                        the same plot frame. (Only one of XCOM, YCOM, or
DM                        GCOM can be used at a time.)
DM  QQplot.               Creates quantile-quantile plots instead of scatter-
DM                        plots.  Do not use with CUMULATIVE, NORMAL, or TDF.
DM  CUMulative.           Creates cumulative empirical distribution plots
DM                        of the variables listed in the XVAR or YVAR command.
DM                        Do not specify both XVAR and YVAR.  Do not use with
DM                        QQ, NORMAL, or TDF.
DM  NORMal.               Creates normal probability plots of variables listed
DM                        in the XVAR or YVAR command.  Do not specify both
DM                        XVAR and YVAR.  If XVAR is stated, do not use with
DM                        QQ, CUMULATIVE, or TDF.
DM  TDF = #.              Specify degrees of freedom used to create the
DM                        probability plot of variables listed in the XVAR
DM                        or YVAR command.  The # must be between 3 and 100.
DM                        Do not specify both XVAR and YVAR.  Do not use with
DM                        QQ, CUMULATIVE, or NORMAL.
DM  DETrend.              Use with NORMAL or TDF to create detrended normal
DM                        or t probability plots.
DM  SIZE = #1, #2.        Specify size of plot as number of characters for
DM                        the horizontal axis (#1) and number of lines for
DM                        the vertical axis (#2).  Default: 50, 40. SIZE has
DM                        no effect on HIRES plots.
DM  COUNT.                Case frequencies are used as plotting symbols.  This
DM                        is the default unless XCOMMON, YCOMMON, or GCOMMON
DM                        is specified.  For character plots, each frequency is
DM                        plotted as the number representing the number of
DM                        points at the same plot location.  For high-
DM                        resolution plots, each point is plotted with a
DM                        diamond shaped symbol.
DM  CHARacters = list.    Use to change the default plot symbols.
DM  TEXT = list.          Specify a text string of up to eight characters to
DM                        identify variables or groups.  For character plots,
DM                        the text string appears in place of the plot
DM                        character.  TEXT overrides CHAR and cannot be used
DM                        with NAME.  For high-resolution plots, the text
DM                        appears in the Legend as a plot annotation.  The
DM                        point is plotted using CHAR.
DM  NAME.                 Uses variable names (for XCOMMON or YCOMMON) or
DM                        group names (for GCOMMON) in place of the default
DM                        plot symbols.  For character plots, the NAME
DM                        overrides CHAR and appears in place of the plot
DM                        symbol.  NAME cannot be used with TEXT.  For high-
DM                        resolution plots, the names become Legend
DM                        annotation.  The point is plotted using CHAR.
DM  STAT = (one or more)
DM   CORrelation          Number of points in plot, and correlation.
DM   REGression           Simple linear regression equation is printed.
DM   LINE                 Regression line is marked on plot frame.
DM   TILE.                Quantiles (median = M, Quartiles = Q, Eighths = E,
DM                        Sixteenths = H) are marked on the plot frame.
DM                        Not available for scatterplots.
DM  RESET.                Resets plot options to their default values.
DM  WITHIN = var list.    Specify variables that define sets of cases.
DM                        Consecutive cases with identical values for WITHIN
DM                        variables are considered a set.  Separate sets of the
DM                        requested plots are produced for each set of cases.
DM  GRAPH = (one or more) Use on systems that support high-resolution plotting
DM   CHARacter, HIRES.    to specify the type of plots to be created.  If not
DM                        stated, HIRES is assumed for interactive runs,
DM                        CHARACTER for batch runs.
DM  SFILE = c.            Specify the name of the system file (Plotfile) where
DM                        high-resolution plots are to be saved.
DM Defaults are GCOMMON. NO XCOMMON. NO YCOMMON. CROSS. NO PAIR. MATRIX.
DM COUNT. STAT=CORR. SIZE = 50,40.  If MATRIX is in effect, SIZE
DM is adjusted to print the matrix of plots on one page, if possible.
DM 
DM DM can now read and write a SAS transport file. The file is the
DM type created by PROC COPY in SAS. When DM reads such a file, it
DM reads only the first data set. When creating a SAS transport save
DM file, DM writes only one data set. DM does not read or write data
DM libraries or catalog entries. 
DM The BMDP programs limit alphanumeric variables to 4 bytes. Thus,
DM if you try to read an 8 byte alphanumeric variable, you will lose
DM the right-most 4 bytes.
DM To read or write a SAS transport file, specify
DM    FORMAT = SAS.
DM in the READ or SAVE paragraph.
DM 
DM DM can now read and write SPSS port files. To do so, specify
DM    FORMAT = SPSS.
DM in the READ or SAVE paragraph.
